Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/33317/?format=api
{ "ob_id": 33317, "uuid": "b1dacc09b42f4d8ab492c5d5c751efa9", "title": "MSG: Dust imagery in the RGB channels over the full disc at 41.5 degrees East (LEDF41, upto 0900 UTC 1st June 2022)", "abstract": "The Meteosat Second Generation (MSG) satellites, operated by EUMETSAT (The European Organisation for the Exploitation of Meteorological Satellites), provide almost continuous imagery to meteorologists and researchers in Europe and around the world. These include visible, infra-red, water vapour, High Resolution Visible (HRV) images and derived cloud top height, cloud top temperature, fog, snow detection and volcanic ash products. These images are available for a range of geographical areas. \r\n\r\nThis dataset contains RGB dust images from MSG satellites over the full disc at 41.5 degrees East. Imagery available from November 2021 until 0900 UTC 1st June 2022 (see following note) at a frequency of 15 minutes (some are hourly) and are at least 24 hours old.\r\n\r\nNOTE - from 1st February 2022 to 20th April 2022 Meteosat-9 was drifted from 3.5 E to 45.5E at a rate of 0.5 degree a day drift to a new observation location centred over 45.5 degrees East to take over as the prime IODC (Indian Ocean Data Coverage) satellite from 30th May 2022. This role was previously by Meteosat-8, which remains in place for emergency . Data were not made available during this drifting process. The Met Office production of the LEDF41 product switched to using Meteosat-9 from 0915 UTC on 1st June 2022. See linked dataset for the replacement dataset to continue provision of this product over this region of the globe.\r\n\r\nThe geographic extent for images within this datasets is available via the linked documentation 'MSG satellite imagery product geographic area details'. Each MSG imagery product area can be referenced from the third and fourth character of the image product name giving in the filename. E.g. for EEAO11 the corresponding geographic details can be found under the entry for area code 'AO' (i.e West Africa).", "keywords": "MSG, dust, rbd, Satellites, full disc", "publicationState": "published", "dataPublishedTime": "2022-06-06T10:21:30", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/33318/?format=api", "dataPath": "/badc/msg/data/hritimages/LEDF41", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 8509683310, "numberOfFiles": 4326, "fileFormat": "Data are JPEG formatted images" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/9194/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2919/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data obtained by satellite from March 2005, prepared by the Met Office and stored in the CEDA archive.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/11161/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/2645/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/149393/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148812/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148813/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148814/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148815/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148816/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148817/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148811/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148818/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/14637/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2545/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "msg", "label": "restricted: msg group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/msg.pdf", "licenceClassifications": "academic" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }